|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.acegisecurity.ui.AbstractProcessingFilter
org.acegisecurity.ui.cas.CasProcessingFilter
public class CasProcessingFilter
Processes a CAS service ticket.
A service ticket consists of an opaque ticket string. It arrives at this
filter by the user's browser successfully authenticating using CAS, and
then receiving a HTTP redirect to a service. The opaque ticket
string is presented in the ticket request parameter. This
filter monitors the service URL so it can receive the service
ticket and process it. The CAS server knows which service URL
to use via the ServiceProperties.getService() method.
Processing the service ticket involves creating a
UsernamePasswordAuthenticationToken which uses CAS_STATEFUL_IDENTIFIER for the principal and the opaque
ticket string as the credentials.
The configured AuthenticationManager is expected to provide a
provider that can recognise
UsernamePasswordAuthenticationTokens containing this special
principal name, and process them accordingly by validation
with the CAS server.
Do not use this class directly. Instead configure
web.xml to use the FilterToBeanProxy.
| Field Summary | |
|---|---|
static String |
CAS_STATEFUL_IDENTIFIER
Used to identify a CAS request for a stateful user agent, such as a web browser. |
static String |
CAS_STATELESS_IDENTIFIER
Used to identify a CAS request for a stateless user agent, such as a remoting protocol client (eg Hessian, Burlap, SOAP etc). |
| Fields inherited from class org.acegisecurity.ui.AbstractProcessingFilter |
|---|
ACEGI_SECURITY_LAST_EXCEPTION_KEY, ACEGI_SECURITY_TARGET_URL_KEY, logger, messages |
| Constructor Summary | |
|---|---|
CasProcessingFilter()
|
|
| Method Summary | |
|---|---|
Authentication |
attemptAuthentication(javax.servlet.http.HttpServletRequest request)
Performs actual authentication. |
String |
getDefaultFilterProcessesUrl()
This filter by default responds to /j_acegi_cas_security_check. |
void |
init(javax.servlet.FilterConfig filterConfig)
Does nothing. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String CAS_STATEFUL_IDENTIFIER
public static final String CAS_STATELESS_IDENTIFIER
HttpSession will result in a new authentication attempt on
every request.
| Constructor Detail |
|---|
public CasProcessingFilter()
| Method Detail |
|---|
public String getDefaultFilterProcessesUrl()
/j_acegi_cas_security_check.
getDefaultFilterProcessesUrl in class AbstractProcessingFilter
public Authentication attemptAuthentication(javax.servlet.http.HttpServletRequest request)
throws AuthenticationException
AbstractProcessingFilter
attemptAuthentication in class AbstractProcessingFilterrequest - from which to extract parameters and perform the
authentication
AuthenticationException - if authentication fails
public void init(javax.servlet.FilterConfig filterConfig)
throws javax.servlet.ServletException
AbstractProcessingFilter
init in interface javax.servlet.Filterinit in class AbstractProcessingFilterfilterConfig - ignored
javax.servlet.ServletException - ignored
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||